#ifndef __PHONELIBUTIL_H_
#define __PHONELIBUTIL_H_

/* Typedefs */
typedef void (__cdecl * PFNCSHPHONELIB_CTOR)(void*, struct HWND__ *);
typedef void (__cdecl * PFNCSHPHONELIB_DTOR)(void*);
typedef void (__cdecl * PFNCSHPHONELIB_ONHOOK)(void*);

typedef struct tagSHPHONELIBIF {
	LPBYTE						pInstance;
	HMODULE						hModule;
	PFNCSHPHONELIB_CTOR			pfnCshphonelib_Ctor;
	PFNCSHPHONELIB_DTOR			pfnCshphonelib_Dtor;
	PFNCSHPHONELIB_ONHOOK		pfnCshphonelib_OnHook;
} SHPHONELIBIF;

/* Functions */
SHPHONELIBIF*	CreateShPhoneLibIF();
void			DeleteShPhoneLibIF(	SHPHONELIBIF* pLibIF );
void			ShPhoneLibCtor(	SHPHONELIBIF* pLibIF, HWND	hWnd );
void			ShPhoneLibDtor(	SHPHONELIBIF* pLibIF );
void			ShPhoneLibOnHook( SHPHONELIBIF* pLibIF );

#endif
